Bug 528335 - wine-common not required by wine-core
Summary: wine-common not required by wine-core
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: wine
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Andreas Bierfert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-11 11:35 UTC by Christoph Wickert
Modified: 2010-07-23 02:49 UTC (History)
2 users (show)

Fixed In Version: wine-1.2.0-1.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-23 02:45:06 UTC
Type: ---


Attachments (Terms of Use)

Description Christoph Wickert 2009-10-11 11:35:59 UTC
Description of problem:
wine-core needs to require wine-common

Version-Release number of selected component (if applicable):
$ rpm -q wine-core
wine-core-1.1.29-1.fc11.i586

How reproducible:
always

Steps to Reproduce:
1. have wine-core installed. I usually only install wine-core and the components I really need, e.g. I don't need wine-capi when my laptop has no ISDN hardware.
2. upgrade to >= 1.1.26
  
Actual results:
All the menu entries no longer work because the Exec key contains "wine", but there is no wine any longer.

Expected results:
wine-common should be automatically installed so there is /usr/bin/wine.

Comment 1 Chris Rankin 2010-02-06 23:52:13 UTC
More importantly, the wine-common package contains /usr/share/wine/wine.inf. The contents of this file must be loaded into your registry whenever the version of wine changes, and wine will try to do this automatically. But only if it can find the file in the first place.

Like the original bug-reporter, I try only to load the wine packages that I need. But I had no idea that I suddenly needed wine-common.

Comment 2 Bug Zapper 2010-04-28 10:47:27 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Fedora Update System 2010-06-19 09:03:17 UTC
wine-1.2.0-0.4.rc4.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/wine-1.2.0-0.4.rc4.fc12

Comment 4 Fedora Update System 2010-06-19 09:04:57 UTC
wine-1.2.0-0.4.rc4.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/wine-1.2.0-0.4.rc4.fc13

Comment 5 Fedora Update System 2010-06-21 21:27:39 UTC
wine-1.2.0-0.4.rc4.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update wine'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/wine-1.2.0-0.4.rc4.fc13

Comment 6 Fedora Update System 2010-07-06 17:14:54 UTC
wine-1.2.0-0.6.rc6.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update wine'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/wine-1.2.0-0.6.rc6.fc13

Comment 7 Fedora Update System 2010-07-13 07:55:33 UTC
wine-1.2.0-0.7.rc7.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update wine'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/wine-1.2.0-0.7.rc7.fc13

Comment 8 Fedora Update System 2010-07-23 02:44:35 UTC
wine-1.2.0-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2010-07-23 02:49:18 UTC
wine-1.2.0-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.